#!/bin/bash

if [ -z "$WEBDIR" ] || [ -z "$LNXTAG" ] || [ -z "LNXDIR" ]
then
  echo set WEBDIR, LNXTAG, and LNXDIR
fi

rm -rf "$WEBDIR"/menuconfig/
mkdir -p "$WEBDIR"/menuconfig
echo "<html><title>Menuconfig docs for Linux $LNXTAG</title><body><ul>" > $WEBDIR/menuconfig/index.html
cd "$LNXDIR"/hg
for i in $(find arch -maxdepth 2 -name Kconfig | sort)
do
  echo Converting "$i"
  ARCH=$(echo $i | sed -r 's@.*/(.*)/.*@\1@')
  echo "<li><a href=${ARCH}.html>${ARCH}</a></li>" >> "$WEBDIR"/menuconfig/index.html
  "$WEBDIR"/make/menuconfig2html.py $i "$WEBDIR"/menuconfig "$LNXTAG" > "$WEBDIR"/menuconfig/$ARCH.html
done
echo "</ul></body></html>" >> "$WEBDIR"/menuconfig/index.html
